<template>
  <nav class="proto">
    <a href="#">
      <font-awesome-icon
        icon="home"
        size="1x"
      />
    </a>
    <a href="#">
      <font-awesome-icon
        icon="angle-left"
        size="1x"
      />
    </a>
    <a href="#">
      <font-awesome-icon
        icon="angle-right"
        size="1x"
      />
    </a>
    <b-breadcrumb :items="nomenclatureItems" />
  </nav>
</template>
<script>
  export default {
    computed: {
      nomenclatureItems: function() {
        return this.$root.currentFungus?.getNomenclature().map(n => ({ text: n, href:'#' })) || [""];
      }
    }
  }
</script>

<style lang="scss" scoped>

nav {
  display: flex;
  flex-direction: row;
  padding: 5px;
  align-items: center;
  font-size: 16pt;
  font-weight: bold;

  > * {
    margin-right:10px;
  }

  .breadcrumb {
    margin:0;
    border-radius: 0;
    flex-grow: 1;
    padding:0;
    background-color: initial;
  }
}
</style>
